# Bulk update weblinks

`PATCH https://api.parklio.com/v2/weblinks`

This endpoint allows the user to bulk update weblinks by using their ids

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `ids` | string[] | yes |  |
| `status` | string (`active`, `reactived`, `blocked`, `invalid`, `deleted`, `depleted`, `expired`) | yes |  |

```json
{
  "ids": "[1,2,3]",
  "status": "blocked"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "ids": "[1,2,3]",
    "status": "blocked"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

